%define upstream_name    WWW-Shorten-Simple
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Factory wrapper around WWW::Shorten to avoid imports
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Shorten)
BuildArch:  noarch

%description
WWW::Shorten::Simple is a wrapper (factory) around WWW::Shorten so that you
can create an object representing each URL shortening service, instead of
_import_ing 'makeashorterlink' function into your namespace.

This allows you to call multiple URL shortening services in one package,
for instance to call the WWW::Shorten::RevCanonical manpage to extract
rev="canonical", fallback to bit.ly if username and API key are present,
and then finally to TinyURL.

  use WWW::Shorten::Simple;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.20.0-5.mga9
+ Revision: 1806650
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-4.mga8
+ Revision: 1498302
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-3.mga7
+ Revision: 1272734
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-2.mga6
+ Revision: 1035873
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.20.0-1.mga6
+ Revision: 1002335
- update to 0.02

* Fri Feb 05 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 936393
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 747778
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 686870
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 515901
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 374811
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 60258
- imported package perl-WWW-Shorten-Simple


* Sat Feb 26 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
